@import url("explore-properti-mobile.css");
@import url("explore-properti-tablet.css");
@import url("explore-properti-desktop.css");

.section-explore-banner,
.section-content-explore {
  height: max-content;
}
.container-content-banner {
  position: relative;
  display: block;
  width: 100%;
}
.img-banner-testimonial {
  opacity: 1;
  display: block;
  width: 100%;
  height: 15rem;
  object-fit: cover;
  border-radius: 20px;
  backface-visibility: hidden;
}
.banner-content-title,
.title-banner {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;
}
.banner-content-title {
  border-radius: 20px;
  color: #f1f1f1;
  background-color: rgba(0, 0, 0, 0.5);
  height: 100%;
  width: inherit;
}
.title-banner {
  font-size: 2rem;
  font-weight: 700;
  color: #fff;
}
.wrapper-video-explore {
  display: grid; 
}
.link-video-explore,
.link-video-explore:hover {
  color: #000;
  text-decoration: none;
}
.title-video-explore {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: .875em;
  line-height: 1.2;
}
.thumbnail-video-explore {
  width: 100%;
  object-fit: cover;
  display: block;
}
.wrapper-image-thumbnail {
  position: relative;
}
.views-number,
.like-post-video {
  position: absolute;
  width: 100%;
  line-height: 1;
  display: flex;
  color: #fff;
}
.views-number {
  bottom: 0;
  background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.7));
  height: 60px;
  flex-direction: column;
  flex: 1;
  justify-content: flex-end;
}
.like-post-video {
  top: 0;
  right: 0;
  height: 50px;
  background-image: linear-gradient(to top, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.5));
  justify-content: end;
  font-size: 1.5rem;
}
.viewer-activity {
  font-size: .875em;
}
/* Detail Video Page */
.wrapper-detail-video {
  display: grid;
}
.video-js {
  width: 100%;
}
.container-desc-video {
  border-radius: 1rem;
  box-shadow: 0 0 8px 0px rgb(209, 209, 209);
  -webkit-box-shadow: 0 0 8px 0px rgb(209, 209, 209);
  -moz-box-shadow: 0 0 8px 0px rgb(209, 209, 209);
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}
.wrapper-container-views-action,
.container-agen-video {
  display: grid;
}
.container-title-desc {
  grid-column: 1 / span 4;
}
.title-desc-video {
  color: #000;
  font-weight: 700;
  line-height: 1.3;
}
.title-desc-video,
.agen-name-video {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.agen-img-video {
  object-fit: cover;
  border-radius: 50%;
  display: block;
}
.agen-name-video {
  font-weight: 500;
}
.action-info {
  line-height: 1;
}
/* Related Properti */
.title-related-properti {
  color: #000;
  font-size: 1.25rem;
  font-weight: 700;
  line-height: 1.3;
}
.container-list-related-property,
.wrapper-text-price-title {
  display: grid;
}
.img-related-properti {
  width: 100%;
  height: auto;
  display: block;
}
.text-price-related {
  font-weight: 600;
}
.info-title-related {
  font-weight: 700;
  line-height: 1.2;
}
.info-desc-related {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 1.3;
  font-size: .875em;
}